package de.ugoe.cs.quest.tasktrees.temporalrelation;

import java.util.ArrayList;
import java.util.List;

import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeNode;

/**
 * TODO comment
 * 
 * @version $Revision: $ $Date: 18.03.2012$
 * @author 2012, last modified by $Author: patrick$
 */
public class RuleApplicationResult {

    /** */
    private RuleApplicationStatus status = RuleApplicationStatus.RULE_NOT_APPLIED;

    /** */
    private List<ITaskTreeNode> newParents = new ArrayList<ITaskTreeNode>();

    /**
     * TODO: comment
     * 
     * @param b
     */
    public RuleApplicationResult() {
        // this is the default indicating nothing so far
    }

    /**
     * TODO: comment
     * 
     * @param b
     */
    public void setRuleApplicationStatus(RuleApplicationStatus status) {
        this.status = status;
    }

    /**
     * TODO: comment
     * 
     * @return
     */
    public RuleApplicationStatus getRuleApplicationStatus() {
        return status;
    }

    /**
     * TODO: comment
     * 
     * @param sequence
     */
    public void addNewlyCreatedParentNode(ITaskTreeNode newParent) {
        newParents.add(newParent);
    }

    /**
     * TODO: comment
     * 
     * @return
     */
    public List<ITaskTreeNode> getNewlyCreatedParentNodes() {
        return newParents;
    }

}
